=== man/Makefile ===

MANDIR=/usr/man
MAN1PG=as86.1 bcc.1 elks.1 elksemu.1 ld86.1 ar86.1 objdump86.1
MAN1DIR=$(MANDIR)/man1

all:

install:
	install -m 755 -d $(MAN1DIR)
	install -m 644    $(MAN1PG) $(MAN1DIR)

clean:
