=== libc/gtermcap/Makefile ===
# Copyright (C) 1995,1996 Robert de Bath <rdebath@cix.compulink.co.uk>
# This file is part of the Linux-8086 C library and is distributed
# under the GNU Library General Public License.

CFLAGS=$(ARCH) $(CCFLAGS) $(DEFS)

ifeq ($(LIB_OS),ELKS)
OBJ=termcap.o tparam.o

all: $(LIBC)($(OBJ))
	@$(RM) $(OBJ)
else
all:
	@:
endif

clean:
	rm -f *.o libc.a
