=== debian/changelog ===
linux86 (0.16.17-3.5build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Wed, 03 Apr 2024 13:15:18 +1100

linux86 (0.16.17-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. Closes: #1007036
  * Build-depend on debhelper to install additional manpages and per-package
    copyright files.

 -- Bastian Germann <bage@debian.org>  Wed, 21 Feb 2024 13:47:40 +0000

linux86 (0.16.17-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Provides: c-compiler. Cant pretend a 16bit x86 compiler
    would satisfy /usr/bin/cc on all architectures. Closes: #1014706

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 27 Jul 2022 23:53:56 +0000

linux86 (0.16.17-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark binary packages as M-A: foreign. Closes: #876165.
  * Bump standards version.
  * bcc/bcc.c: correctly calculate MAXPATHLEN to avoid runtime fortify
    failures and FTBFS. Closes: #523807.
  * Fix some typos in manual pages. Closes: #500978.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Nov 2017 14:19:59 +0100

linux86 (0.16.17-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add mandatory build-* target to debian/rules, patch by Sven Joachim
    (Closes: #822048).
  * Fix debian/lintian.overrides, patch by Sven Joachim.
  * Add explicit debian/source/format.
  * Drop elksemu (Closes: #831000).
  * Use source:Version instead of binary:Version in elks-libc Depends (Closes:
    #439922).

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 15 Dec 2016 23:19:08 +0500

linux86 (0.16.17-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ncc: illegal label": apply patch by dai that replaces strcpy
    by memmove (closes: #591133).

 -- gregor herrmann <gregoa@debian.org>  Thu, 11 Nov 2010 22:29:38 +0100

linux86 (0.16.17-3) unstable; urgency=low

  * Added man pages for ar86, objdump86, size86 and nm86 with patch
    from Shyamal Prasad <shyamal@member.fsf.org>
    (Closes: #138042, #138043, #138044, #138046)
  * New Standards-Version: 3.8.0
  * Downgrade elks-libc dependency on bcc to a recomendation
    (it's possible to have development libraries without a compiler)
  * Added lintian override for elks-libc's binary objects

 -- Juan Cespedes <cespedes@debian.org>  Wed, 01 Oct 2008 13:01:24 +0200

linux86 (0.16.17-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * bcc/const.h: change S_ALIGNMENT (alignment of allocated vars)
    to 2*sizeof(size_t) from sizeof(long) to fix hppa FTBFS.
    Idea from glibc malloc. Closes: #497632

 -- Thomas Viehmann <tv@beamnet.de>  Mon, 22 Sep 2008 23:14:46 +0200

linux86 (0.16.17-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Revert 0.16.17-2, making all packages Architecture: any again
    A build of vgabios on amd64 differs to that in the archive
    (build on i386) only by timestamp and checksum.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 07 Sep 2008 00:00:00 +0200

linux86 (0.16.17-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not build on alpha, amd64 and ia64 (Closes: #471404)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue,  5 Aug 2008 00:18:32 +0200

linux86 (0.16.17-2) unstable; urgency=low

  * Disable elksemu building in non-i386 architectures

 -- Juan Cespedes <cespedes@debian.org>  Sun, 26 Aug 2007 17:55:08 +0200

linux86 (0.16.17-1) unstable; urgency=low

  * New upstream version (closes: Bug#339780, #260647, #227072, #244520)
  * New Standards-Version: 3.7.2
  * Make elks-libc architecture "all"

 -- Juan Cespedes <cespedes@debian.org>  Sun, 26 Aug 2007 13:42:07 +0200

linux86 (0.16.14-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * DEB_BUILD_GNU_TYPE now returns i486-linux-gnu instead of
    i386-linux.  This resulted in the elks-libc not being packaged.

 -- Kurt Roeckx <kurt@roeckx.be>  Thu,  4 May 2006 19:41:14 +0200

linux86 (0.16.14-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't strip elksemu.  It doesn't work on amd64, and 
    it doesn't contain any debug info in the first place.
    Patch from Goswin von Brederlow (Closes: #260647)

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 30 Mar 2006 19:31:53 +0200

linux86 (0.16.14-1.2) unstable; urgency=high

  * NMU
  * As elks-libc is only available on i386, drop the bcc recommends
    on it on all other arches (Closes: #273357)

 -- Frank Lichtenheld <djpig@debian.org>  Sun,  3 Oct 2004 02:47:17 +0200

linux86 (0.16.14-1.1) unstable; urgency=low

  * NMU.
  * Misc portability fixes. (Closes: #227072, #224520)
    - debian/control: Make it Arch:any. (generates x86 code on all cpus)
    - debian/rules: Ifdef Linuxisms out.
    - ar/ar.c: Nuke obsolete sys_errlist usage and bad errno declaration.
    - ifdef.c: Cleanup macro definitions.
    - makefile.in: Nuke some Linuxisms.

 -- Robert Millan <rmh@debian.org>  Mon, 12 Jul 2004 01:13:06 +0200

linux86 (0.16.14-1) unstable; urgency=medium

  * New upstream version
  * Include <errno.h> everywhere so there should not be more references
    to the deprecated errno@GLIBC_2.0 symbol (closes: Bug#168531)
  * New Standards-Version: 3.6.1

 -- Juan Cespedes <cespedes@debian.org>  Sun, 14 Dec 2003 00:10:27 +0100

linux86 (0.16.3-2) unstable; urgency=medium

  * Fixed 'can't find bcc-cc1' bug with patch from BTS.
    Thanks to Robert Millan <zeratul2@wanadoo.es>
    and Bas Zoetekouw <bas@a-eskwadraat.nl>         (Closes: Bug#153449)

 -- Juan Cespedes <cespedes@debian.org>  Sat, 17 Aug 2002 02:15:29 +0200

linux86 (0.16.3-1) unstable; urgency=low

  * New upstream release

 -- Juan Cespedes <cespedes@debian.org>  Thu, 20 Jun 2002 14:52:29 +0200

linux86 (0.16.0-1) unstable; urgency=low

  * New upstream version
  * Added old changelog from Christoph Lameter versions,
    and given him credit in copyright files (closes: Bug#114452)
  * Include /usr/lib/bcc/kinclude in the distribution (closes: Bug#91887)


