=== debian/control ===
Source: linux86
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Juan Cespedes <cespedes@debian.org>
Standards-Version: 4.1.1
Build-Depends: debhelper-compat (= 12)

Package: bin86
Architecture: any
Multi-Arch: foreign
Priority: optional
Depends: ${bin86:Depends}
Conflicts: linux86
Description: 16-bit x86 assembler and loader
 This is the as86 and ld86 distribution written by Bruce Evans.
 It's a complete 8086 assembler and loader which can make 32-bit
 code for the 386+ processors.

Package: bcc
Architecture: any
Multi-Arch: foreign
Depends: ${bcc:Depends}, bin86 (= ${binary:Version})
Recommends: elks-libc (= ${binary:Version})
Conflicts: linux86
Replaces: linux86
Description: 16-bit x86 C compiler
 This is a C-compiler for 8086 cpus which is important for the
 development of boot loaders or BIOS related 8086 code.

Package: elks-libc
Architecture: all
Multi-Arch: foreign
Recommends: bcc (>= ${source:Version})
Replaces: bcc (<< 0.14.9), linux86
Conflicts: linux86
Description: 16-bit x86 C library and include files
 This is the C library used to compile with bcc. It includes all the
 headers and static libraries needed to build 16-bit applications,
 for Linux/8086, Linux/i386 and DOS .COM executables.
