=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 1997-2008 Juan Cespedes <cespedes@debian.org>

DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

SHELL	=	bash

build-arch build-indep:	build

build:
		make all LIBPRE=/usr/ < /dev/null
		touch build

clean:
		rm -f build
		make realclean
		rm -f ld/ar.h
		rm -rf debian/tmp*
		rm -f debian/files debian/substvars

binary:		binary-indep binary-arch

binary-common:	build
		@test 0 = `id -u` || { echo "Error: not super-user"; exit 1; }
		rm -rf debian/tmp*
		install -d debian/tmp
		make install DIST=`pwd`/debian/tmp
#		exit 5
		gzip -9f debian/tmp/usr/man/man?/*

binary-indep:	binary-common
		install -d debian/tmp-elks-libc/DEBIAN

# ``elks-libc'' specific things:
		install -d debian/tmp-elks-libc/usr/lib/bcc/kinclude
		mv debian/tmp/usr/lib/bcc/*.* debian/tmp-elks-libc/usr/lib/bcc
		mv debian/tmp/usr/lib/bcc/include debian/tmp-elks-libc/usr/lib/bcc
		install -d debian/tmp-elks-libc/usr/lib/bcc/kinclude
		cp -a libc/kinclude/linuxmt debian/tmp-elks-libc/usr/lib/bcc/kinclude/linuxmt
		cp -a libc/kinclude/arch debian/tmp-elks-libc/usr/lib/bcc/kinclude/arch
		touch debian/tmp-elks-libc/usr/lib/bcc/*include/*/
		mv debian/tmp/usr/lib/bcc/i386 debian/tmp-elks-libc/usr/lib/bcc
#
		install -d debian/tmp-elks-libc/usr/share/doc/elks-libc
		cp -p Changes debian/tmp-elks-libc/usr/share/doc/elks-libc/changelog
		cp -p Contributors README debian/tmp-elks-libc/usr/share/doc/elks-libc/
		cp -p libc/README debian/tmp-elks-libc/usr/share/doc/elks-libc/README.libc
		cp -p libbsd/README.HLU debian/tmp-elks-libc/usr/share/doc/elks-libc/README.libbsd
		cp -p debian/changelog debian/tmp-elks-libc/usr/share/doc/elks-libc/changelog.Debian
		install -d debian/tmp-elks-libc/usr/share/lintian/overrides
		cp -p debian/lintian.overrides debian/tmp-elks-libc/usr/share/lintian/overrides/elks-libc
		gzip -9f debian/tmp-elks-libc/usr/share/doc/elks-libc/*
		dh_installdocs
		dpkg-gencontrol -Pdebian/tmp-elks-libc -pelks-libc -isp
		chown -R 0.0 debian/tmp-elks-libc
		chmod -R u=rwX,go=rX debian/tmp-elks-libc
		dpkg --build debian/tmp-elks-libc ..

binary-arch:	binary-common
		install -d debian/tmp-bcc/DEBIAN
		install -d debian/tmp-bin86/DEBIAN

# ``bcc'' specific things:
		install -d debian/tmp-bcc/usr/bin
		mv debian/tmp/usr/bin/bcc debian/tmp-bcc/usr/bin
		install -d debian/tmp-bcc/usr/lib/bcc
		mv debian/tmp/usr/lib/bcc/bcc-cc1 debian/tmp-bcc/usr/lib/bcc
		mv debian/tmp/usr/lib/bcc/bcc-cpp debian/tmp-bcc/usr/lib/bcc
		mv debian/tmp/usr/lib/bcc/copt debian/tmp-bcc/usr/lib/bcc
		mv debian/tmp/usr/lib/bcc/unproto debian/tmp-bcc/usr/lib/bcc
		install -d debian/tmp-bcc/usr/share/man/man1
		mv debian/tmp/usr/man/man1/bcc.1.gz debian/tmp-bcc/usr/share/man/man1
#
		install -d debian/tmp-bcc/usr/share/doc/bcc
		cp -p Changes debian/tmp-bcc/usr/share/doc/bcc/changelog
		cp -p Contributors README debian/tmp-bcc/usr/share/doc/bcc/
		cp -p unproto/README debian/tmp-bcc/usr/share/doc/bcc/README.unproto
		cp -p bcc/bcc.doc debian/tmp-bcc/usr/share/doc/bcc/
		cp -p copt/README debian/tmp-bcc/usr/share/doc/bcc/README.copt
		cp -p debian/changelog debian/tmp-bcc/usr/share/doc/bcc/changelog.Debian
		gzip -9f debian/tmp-bcc/usr/share/doc/bcc/*

# ``bin86'' specific things:
		install -d debian/tmp-bin86/usr/bin
		mv debian/tmp/usr/bin/*86 debian/tmp-bin86/usr/bin
		install -d debian/tmp-bin86/usr/share/man/man1
		mv debian/tmp/usr/man/man1/*86.1.gz debian/tmp-bin86/usr/share/man/man1
		dh_installman
#
		install -d debian/tmp-bin86/usr/share/doc/bin86
		cp -p Changes debian/tmp-bin86/usr/share/doc/bin86/changelog
		cp -p Contributors README debian/tmp-bin86/usr/share/doc/bin86/
		rm -f debian/tmp-bin86/usr/bin/{size86,objdump86}
		ln debian/tmp-bin86/usr/bin/nm86 debian/tmp-bin86/usr/bin/size86
		ln debian/tmp-bin86/usr/bin/nm86 debian/tmp-bin86/usr/bin/objdump86
		rm -f debian/tmp-bin86/usr/share/man/man1/{size86.1.gz,nm86.1.gz}
		ln -s objdump86.1.gz debian/tmp-bin86/usr/share/man/man1/nm86.1.gz
		ln -s objdump86.1.gz debian/tmp-bin86/usr/share/man/man1/size86.1.gz
		cp -p debian/changelog debian/tmp-bin86/usr/share/doc/bin86/changelog.Debian
		gzip -9f debian/tmp-bin86/usr/share/doc/bin86/*
		install -d debian/tmp-bin86/usr/share/doc/bin86/examples
		mv debian/tmp/usr/lib/bcc/as86_encap debian/tmp-bin86/usr/share/doc/bin86/examples
		dh_installdocs

		dpkg-shlibdeps -pbin86 debian/tmp-bin86/usr/bin/*
		dpkg-shlibdeps -pbcc debian/tmp-bcc/usr/{bin/bcc,lib/bcc/*}
		dpkg-gencontrol -Pdebian/tmp-bin86 -pbin86 -isp
		dpkg-gencontrol -Pdebian/tmp-bcc -pbcc -isp
		chown -R 0.0 debian/tmp-bcc debian/tmp-bin86
		chmod -R u=rwX,go=rX debian/tmp-bcc debian/tmp-bin86
		dpkg --build debian/tmp-bcc ..
		dpkg --build debian/tmp-bin86 ..
