=== debian/changelog ===
linux86 (0.16.21-2) unstable; urgency=medium

  * Ignore usr/bin/elksemu too.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Apr 2025 20:07:11 +0200

linux86 (0.16.21-1) unstable; urgency=medium

  * New upstream release.
  * Rewrite debian/rules using short dh style. Closes: #437477, #1071408.
  * Adopt the package. Closes: #1094179.
  * Acknowledge NMU. Closes: #848255.
  * Add a pointer to the homepage and a watch file.
  * Fix the man pages. Closes: #1080491, #1081973, #1100697. Thanks to
    Bjarni Ingi Gislason for reviewing the man pages and sending a patch
    for ld86.1.
  * Document makefile.in.patch.
  * Bump to debhelper compatibility level 13.
  * Ensure the build applies build flags.
  * Add tools86 from DOSEMU. Closes: #153512.
  * Enable all hardening options.
  * Clarify the versions of the GPL and LGPL used in the project.
  * Standards-Version 4.7.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 24 Mar 2025 13:32:21 +0100

linux86 (0.16.17-3.10) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove requirement for root when building the package.
    (Closes: #1089375)

 -- Niels Thykier <niels@thykier.net>  Sun, 29 Dec 2024 10:51:58 +0000

linux86 (0.16.17-3.9) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on i386. Closes: #1084063

 -- Bastian Germann <bage@debian.org>  Fri, 04 Oct 2024 21:26:30 +0000

linux86 (0.16.17-3.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix time_t uses for 32 architectures. Closes: #1084051

 -- Bastian Germann <bage@debian.org>  Fri, 04 Oct 2024 17:21:13 +0200

linux86 (0.16.17-3.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix function declarations. Closes: #1075226

 -- Bastian Germann <bage@debian.org>  Fri, 04 Oct 2024 08:02:45 +0200

linux86 (0.16.17-3.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Move the package build directory. Closes: #1070428

 -- Bastian Germann <bage@debian.org>  Sun, 05 May 2024 15:26:06 +0000
