=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: linux86
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Juan Cespedes <cespedes@debian.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper-compat (= 12)
+Maintainer: Stephen Kitt <skitt@debian.org>
+Rules-Requires-Root: no
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13)
+Homepage: https://github.com/lkundrak/dev86
 
 Package: bin86
 Architecture: any
 Multi-Arch: foreign
-Priority: optional
-Depends: ${bin86:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: linux86
 Description: 16-bit x86 assembler and loader
  This is the as86 and ld86 distribution written by Bruce Evans.
@@ -20,7 +20,7 @@
 Package: bcc
 Architecture: any
 Multi-Arch: foreign
-Depends: ${bcc:Depends}, bin86 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, bin86 (= ${binary:Version})
 Recommends: elks-libc (= ${binary:Version})
 Conflicts: linux86
 Replaces: linux86
@@ -31,6 +31,7 @@
 Package: elks-libc
 Architecture: all
 Multi-Arch: foreign
+Depends: ${misc:Depends}
 Recommends: bcc (>= ${source:Version})
 Replaces: bcc (<< 0.14.9), linux86
 Conflicts: linux86
