=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build -- all LIBPRE=/usr/

override_dh_auto_clean:
	$(MAKE) realclean

override_dh_auto_install:
	$(MAKE) install DIST=$(CURDIR)/debian/tmp

override_dh_strip:
	dh_strip -Xlibc
