=== debian/changelog ===
linux86 (1.0.1+git20250212.0332db1-1) unstable; urgency=medium

  * Switch to Jody Bruchon’s fork.
  * New upstream snapshot.
  * Fix more function declarations to allow building with GCC 15.
    Closes: #1097302.
  * Use time_t for time.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Remove the old FSF address from debian/*.copyright.

 -- Stephen Kitt <skitt@debian.org>  Tue, 23 Dec 2025 20:17:45 +0100
