=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13)
-Homepage: https://github.com/lkundrak/dev86
+Homepage: https://codeberg.org/jbruchon/dev86
 
 Package: bin86
 Architecture: any
