=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# -Wdate-time causes ncc to fail
+export DEB_BUILD_MAINT_OPTIONS = reproducible=-timeless
 
 %:
 	dh $@ --no-parallel
