=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, pretty=1.0.1+git%cd.%h" \
    https://codeberg.org/jbruchon/dev86 \
    HEAD
